# Error Pages Introduction
<procore-status alpha />

Generic error pages and fallback components

 ## Installation
```shell script
yarn add @procore/labs-error-pages
```

### Dependencies
`@procore/core-react`, `react` and `styled-components` are listed as external peer dependencies. The package will not bundle the code, and requires the app client to provide it as a `dependency`. The external peer dep is to assure React Context is consistent in a client's React tree, the child consumers can reference the correct parent provider. If the package uses latest features or bug fixes and a new minimum version of core-react is required, it should be considered a breaking change as the peer dependency version must be met.

### Usage
```js
import { ErrorPage } from '@procore/labs-error-pages'
```

```jsx
<ErrorPage title="Error!!"  message={<>Error Explanation</>} code={404} />
```